# rtai_fifos.h File Reference

## Detailed Description

Interface of the RTAI FIFO module.

Note:
  Copyright © 1999-2003 Paolo Mantegazza <mantegazza@aero.polimi.it>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

Include dependency graph for rtai_fifos.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

int | rtf_suspend_timed (int fd, int ms_delay)
int | rtf_open_sized (const char *dev, int perm, int size)
int | rtf_read_all_at_once (int fd, void *buf, int count)
int | rtf_read_timed (int fd, void *buf, int count, int ms_delay)
int | rtf_write_timed (int fd, void *buf, int count, int ms_delay)
int | rtf_sem_wait (int fd)
int | rtf_sem_timed_wait (int fd, int ms_delay)
int | rtf_set_async_sig (int fd, int signum)